Subject: RE: [mobile-ip] Analysis of Jitter in Bicasting

From: "Gary Kenward" <[email-masked]>
Date: Thu, 26 Jul 2001 17:38:51 -0400

James:

  I'm not sure that comparing handover latencies with 2, 2.5, or 3G
is all that relevant. With soft handover, there is theoretically,
no latency, although I suspect that there are exceptions - I'm checking
to see if there are published numbers. I have heard some atrociously
poor numbers for packet data, but I won't repeat them here because
they are not verifiable.

  The issue with packet data, and the reason that the latency starts to
look bad, is that soft handover is extremely difficult to do with shared 
channels, datagrams and a routed network (i.e. the issues are not all 
that different from the issues being discussed with respect to bicasting).
IMHO 2-3G networks are not well suited to IP services because they were not
designed to switch packets fast across the channel (by fast I mean ms, not
10s or 100s of ms). Ultimately, this channel access delay may be the
real pacer for handover, not the mobility solution.

  Enough doom and gloom. In anticipation of a different approach in 4G,
there is little information on how to allocate an appropriate "latency 
budget" across the network. I know that the transit delays for North
America for single operator networks have been dropping steadily, and are
well below 100 ms (I've heard numbers as low as 50 ms, but I haven't had
a chance to check the latest).

  So, if its 50 ms transit delay, that leaves approximately 30 ms for each
access network for one leg of a two way conversation. Not a heck of a lot 
of time. Of course, it is arguable that you can asymmetrically allocate
the budget between access networks, as it is unlikely that they will both
need the maximum budget at the same instant (e.g. if both access networks
are wireless, it is unlikely that both will be in the process of handing
over
at the same time).

  BTW: I did not checked the ITU spec, but 300 ms is as good as 250 ms,
certainly
as far as these discussions are concerned. End to end latency bounds are 
determined by the desired quality of the voice service, and usually are
based upon empirical measurements from subjective quality tests (the ITU
numbers are). 
The numbers from these tests, called Mean Opinion Scores, have a very high 
variance, and the real quality difference caused by an increase in latency
from 
250 to 300 ms is not easily detected (which means you probably can drop 
the 0.5 from 112.5 ;^} ). One has to be careful in some respects, because
there
are thresholds where a majority of listeners can detect significant changes
in
quality (humans being largely non-linear systems), but if I believe the
first
threshold is upwards towards 500 ms, as someone else has mentioned.

Gary

> -----Original Message-----
> From: James Kempf [mailto:[email-masked]]
> Sent: July 26, 2001 12:06
> To: mobile-ip; [email-masked]'
> Subject: RE: [mobile-ip] Analysis of Jitter in Bicasting
> 
> 
> Hi Gary,
> 
> >  Just a quick follow-up on this thread: you mentioned in one of 
> >your emails that the latency tolerance for conversational voice to
> >be around 112.5 ms. It is my understanding that the latency 
> bounds for
> >reasonable quality voice conversations (for an MOS somewhere between
> >3 and 4), is around 250 ms round trip. Assuming symmetry, 
> the implication
> >is that the one way, end to end delay should be less then 
> approximately
> >125ms end to end. 
> >
> 
> Actually, I've been using a figure of 300 ms RTT, based on 
> ITU recommendations.
> 112.5 ms is the handover latency that pops out when you plug 
> a 6 kbps incoming
> voice stream (about what VoIP gets) and a 9.6 kbps uplink 
> data rate into
> the formula dervied in Appendix B of 
> draft-kempf-beth-ipv6-00.txt, which bounds
> handover latency given uplink and incoming real time data 
> rates when you buffer.
> The problem is the handover latency propagates forward as you 
> dump the buffer
> to the uplink, during which time you have to buffer, then 
> dump that buffer, etc.
> 
> IMHO, buffering is probably a nonoption for real time 
> traffic, though I think
> it could play a role for nonrealtime traffic.
> 
> >  If the end to end service is VoIP, then this 125 ms budget must be 
> >applied to all the IP networks along the path - typically, an access
> >network, one or more transit networks and another access network. So,
> >I wonder if there really is 112.5 ms to buffer packets, or 
> anywhere near
> >that amount, particularly given the fact that the current 
> generation of
> >radio link protocols seem to consume 10s of ms simply for packet 
> >access (I'm alluding here to VoIP over the air, not VoIP 
> converted to 
> >3G voice service).
> >
> 
> Hmm, good question. I have unfortunately been unable to get 
> any figures
> on L2 handover time, so I really can't say. But you are right that
> this analysis only takes into account the handover latency. 
> If you start
> throwing in other sources, like for example transatlantic RTT for
> a transatlantic call, you very quickly use up the delay budget.
> 
> >   One rule of thumb I've always held to with packetized 
> voice is that
> >if you have to delay the packet by more then the vocoder 
> delay (e.g. 20 ms
> >for G.729), then you might as well drop the packet. If you 
> start dropping
> >sequentially packets - e.g. 2 or 3 consecutive voice frames, 
> the drops will
> >be audible to the user.
> >
> 
> Sounds like a good rule of thumb.
> 
> >   It is my perception that the standard for voice service 
> in cellular
> >systems 
> >during handoffs is not as stringent. However, this would not be the
> >"seamless
> >handoff" that has been talked about.
> >
> 
> The goal is to make 4G (VoIP over the air) hard (break before 
> make) handover have the
> same quality or better as 2.5 and 3G. If the handover latency 
> in 2.5 and 3G handover
> exposes the user to artifacts, then 4G could I suppose, 
> though running up the delay
> budget to seconds with lots of signalling for new CoA 
> aquisition, DAD, etc.
> probably isn't a good idea.
> 
> Do you have any idea what the latency is for, say, a GSM 
> handoff (which is normally
> break before make)? This would certainly help us bound the 
> problem more cleanly.
> 
> >   Anyway, the question I want to raise is whether there is 
> really a 112.5
> >ms 
> >delay budget available at the AR for handover, or whether 
> the number is
> >actually
> >much smaller. Some of the work I have seen suggests that the 
> bound is more 
> >around 40 ms, for the whole access network. This is roughly two VoIP
> >packets,
> >for a scenario with one 20 ms G.729 voice frame per IP packet.
> >
> 
> If you consider only one direction,  then 40 ms sounds right 
> (it would be slightly less than
> half of the 112 ms I calculated, which was based on a RTT 
> time of 300 ms).
> 
> >Do you, or anyone else have any additional information? If 
> we are talking
> >about
> >buffering vs. bicasting, this delay bound *is* very important.
> >
> 
> No, but I really wish someone out there in ListLand could 
> give us some hard figures
> on GSM break before make handover times. Last time I tried, I 
> got some number like
> "seconds", which doesn't sound right to me. wCDMA isn't 
> comparable, nor is cdma2000
> because they use soft handover most of the time (though 
> perhaps their hard handover
> figures would be useful).
> 
> 		jak
> 
>

---

From: Arthur Ross <[email-masked]>
Date: Thu, 26 Jul 2001 15:23:57 -0700

At 17:38 -0400 07/26/2001, Gary Kenward wrote:
>variance, and the real quality difference caused by an increase in 
>latency from
>the 0.5 from 112.5 ;^} ). One has to be careful in some respects, 
>because there
>are thresholds where a majority of listeners can detect significant changes in
>quality (humans being largely non-linear systems), but if I believe the first
Vocoder folklore, and some old Bell Labs research on the subjective 
effects of delay and echo on listener perception, would suggest that 
these begin to be objectionable around 100 ms. Around 250 ms is of 
the order of one geosynchronous satellite hop; delay that large tends 
to be subjectively VERY objectionable. Not that people can't learn to 
cope with it (as they do when calling to the few remaining places 
where ol' fashioned PSTN access is by satellite - example most 
familiar to me: USA to/from India).

The sensitivity to echo rises with magnitude of delay (for those of 
you who are NOT old Bell-heads, the echo LEVEL in the typical local 
analog voice call is VERY large, but not noticed because its DELAY is 
VERY SMALL). This is the reason for all the technology devoted to 
echo suppression/cancellation on long-distance calls over the years 
(the former was just a dumb level-dependent switch that makes the 
connection essentially half-duplex; the latter, more modern, is 
adaptive signal processing that really subtracts off the echos).

My personal belief has long been that this is all connected with 
biologically programmed timeouts in the human brain. For example, the 
feeling that one gets, watching one of those satellite remotes on the 
evening TV news - one is always left with the impression that the 
remote reporter is somehow retarded, or otherwise a couple of cards 
short of a full deck, due to the large delay. There is an intrinsic, 
programmed by nature, human brain expectation of how long a person 
should take to react in a verbal dialog; exceeding that delay leads 
to bogus electro-socio-linguistic-psychological conclusions. It is 
very annoying in trying to conduct a conversation.

Average folks, faced with large delay in a call, will typically 
notice that there is something wrong, but will be hard pressed to 
identify what it is.

And yes, the MOS (mean opinion score) is notoriously hard to pin 
down; it is, by construction, entirely subjective: you simply ask 
subjects their opinion of something on a 1 to 5 scale, and try to 
reduce the variance by averaging over a large number of subjects. 
Trying to attach too much objective scientific meaning to ANY MOS is 
both futile and meaningless ... although such attempts are frequently 
encountered in the world of telecom, often connected with exaggerated 
marketing claims for one or another technology.

Rough summary: Net delay below 50-100 ms tends to be ok; more than 
that is increasingly objectionable as the magnitude increases (500 ms 
is WAY too much for public voice telephony). And don't throw away 
those echo cancellers in the PSTN plant.

Again, just my 2 cents ...

    -- ahmr